on addTrack(unixPath, playlistName, trackTitle, albumName, artistName, genreName, maxCount)
	display dialog "Hello"
	tell application "iTunes"
		launch
		set filePath to POSIX file unixPath as alias
		
		(*set lib to playlist "Library" of source "Library"*)
		set lib to library playlist 1
		if not (exists playlist playlistName) then make new user playlist with properties {name:playlistName}
		set p to playlist playlistName
		
		(* Delete old items from playlist *)
		set tot to count of file tracks of p
		set delCount to tot - maxCount + 1
		set delList to {}
		repeat with t from 1 to tot
			set theT to file track t of p
			if t is less than or equal to delCount or name of theT is trackTitle then
				copy theT to the end of delList
			end if
		end repeat
		repeat with theT in delList
			set did to database ID of the theT
			set loc to (location of theT as alias)
			set lst to (every file track in lib whose database ID is did)
			repeat with libT in lst
				delete libT
			end repeat
			do shell script ("/bin/rm -f " & quoted form of (POSIX path of loc))
		end repeat
		
		set this_track to add filePath to lib
		
		set loc2 to location of this_track as alias
		if filePath is not loc2 then
			do shell script ("/bin/rm -f " & quoted form of (POSIX path of filePath))
		end if
		duplicate this_track to p
		set album of this_track to albumName
		set name of this_track to trackTitle
		set artist of this_track to artistName
		set genre of this_track to genreName
	end tell
end addTrack